/*
 * Exemplo para depurao de processo filho.
 */

#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

void trata_SIGCONT(int signum) {
  printf("Recebi SIGCONT.\n");
}

int main() {
  int rfork;

  signal (SIGCONT, trata_SIGCONT);
  
  if ((rfork = fork()) != 0) {
    printf("Processo pai sendo depurado\n");
    printf("Processo filho: %d\n",rfork);            
    return 0;
  }
  else {
    raise(SIGSTOP);
    printf("Processo filho sendo depurado\n");
    return 0;
  }  
}
