/*
 * Exemplo de uso de fork.
 */ 


#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>

int main() {
  pid_t r_fork;

  printf("Processo pai. PID do avô = %d\n", getppid());
  printf("Processo pai. PID = %d\n", getpid());
  
  if ((r_fork = fork()) != 0) {
     sleep(3);
     printf("Processo pai. PID do filho = %d\n", r_fork);
  }
  else {
    printf("Processo filho. PID = %d\n", getpid());
    printf("Processo filho. PID do pai = %d\n", getppid());
  }
  return 0;
}  
  
