/*
 * Programa um alarme e fica esperando o usurio teclar enter.  Como o
 * sinal SIGALRM foi desabilitado, a espera no ser interrompida.
 * Restabelece o tratador padro para SIGALARM e repete a operao.
 * Desta vez, caso o usurio demore mais de um segundo, o programa 
 * encerrado.
 */
#include <signal.h>
#include <unistd.h>
#include <stdio.h>

int main (void) {
  char c;

  /* Primeiro sinal ser ignorado. */
  signal(SIGALRM, SIG_IGN);	 
  alarm (1);
  printf("Tecle enter para terminar: ");
  scanf("%c", &c);

  /* Segundo sinal ir encerrar o programa
     caso o usurio demore.                */
  signal(SIGALRM, SIG_DFL);	 
  alarm (1);
  printf("Tecle enter para terminar: ");
  scanf("%c", &c);
  
  return 0;
}
